import { FilterExpressionDescription } from "./FilterExpressionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class LiteralFilterExpressionDescription extends FilterExpressionDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private i;
    get literalValueRef(): string;
    set literalValueRef(a: string);
    private g;
    get leaveUnquoted(): boolean;
    set leaveUnquoted(a: boolean);
}
